# Vue Component Starter

[![circle-ci][circle-src]][circle-href]
[![npm version][npm-version-src]][npm-version-href]
[![Dependencies][david-dm-src]][david-dm-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![code style: prettier](https://img.shields.io/badge/code_style-prettier-FF5A5F.svg?style=flat-square)](https://prettier.io/)
[![License: MIT](https://img.shields.io/badge/License-MIT-black.svg?style=flat-square)](https://opensource.org/licenses/MIT)

> A vue component starter with essential features.

### Features

- Continuous Integration
- Jest
- Multiple builds target
- Typescript support

More to come:

- Automate versioning and CHANGELOG generation
- CLI
- Storybook

## Setup

Install with yarn:

```bash
yarn add my-component
```

Install with npm:

```bash
npm install my-component
```

## Usage

### Basic

```vue
<template>
  <my-component :value="0" />
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import MyComponent from 'my-component';

@Component({
  components: {
    MyComponent,
  },
})
export default class Awesome extends Vue {}
</script>
```

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Start development server using `yarn storybook` or `npm run storybook`

## 📑 License

[MIT License](./LICENSE)

#### Notes

Rollup config's heavily inspired by [https://github.com/team-innovation/vue-sfc-rollup](https://github.com/team-innovation/vue-sfc-rollup)

<!-- Badges -->

[npm-version-src]: https://img.shields.io/npm/dt/{NPM_PACKAGE_NAME}.svg?style=flat-square
[npm-version-href]: https://npmjs.com/package/{NPM_PACKAGE_NAME}
[circle-src]: https://circleci.com/gh/Gomah/{NPM_PACKAGE_NAME}.svg?style=shield
[circle-href]: https://circleci.com/gh/Gomah/{NPM_PACKAGE_NAME}
[npm-downloads-src]: https://img.shields.io/npm/v/{NPM_PACKAGE_NAME}/latest.svg?style=flat-square
[npm-downloads-href]: https://npmjs.com/package/{NPM_PACKAGE_NAME}
[david-dm-src]: https://david-dm.org/gomah/{NPM_PACKAGE_NAME}/status.svg?style=flat-square
[david-dm-href]: https://david-dm.org/gomah/{NPM_PACKAGE_NAME}
